---
# Installation
jira_user: jira
jira_group: jira
jira_home: /var/atlassian/jira
jira_download_dir: /jiradownload
jira_installation_dir: /opt/atlassian/jira
jira_attachments_dir: "{{ jira_home }}/data/attachments"
jsd_version: 4.3.1


# Configuration
jira_jvm_support_recommended_args: "-Datlassian.plugins.enable.wait=300"
jira_required_args: "-Djava.awt.headless=true -Datlassian.standalone=JIRA -Dorg.apache.jasper.runtime.BodyContentImpl.LIMIT_BUFFER=true -Dmail.mime.decodeparameters=true -Dorg.dom4j.factory=com.atlassian.core.xml.InterningDocumentFactory"
jira_jmx_enabled: false
jira_jmx_port: 8090
jira_disable_notifications: true
jira_jvm_minimum_memory: "512m"
jira_jvm_maximum_memory: "768m"
jira_server_port: 8005
jira_connector_port: 8080
jira_proxy_name:
jira_context_path:
# Sample jira_extra_copy_files:
# - {src: files/your_file.properties, dest: jira_home/your_file.properties, mode: 0644}
# Sample jira_extra_template_files:
# - {src: templates/your_template.properties, dest: jira_home/your_template.properties, mode: 0644}
# Sample MySQL JDBC configuration:
jira_database_configuration: true
jira_database_driver_class: 'org.postgresql.Driver'
jira_database_username: 'jirauser'
jira_database_password: 'ceec4eif7ya'
jira_database_host: "{{ groups['jira-db'][0] }}"
jira_database_port: 5432
jira_database_type: postgres72
jira_database_name: 'jiradb'
jira_database_url: "jdbc:postgresql://{{ jira_database_host }}:{{ jira_database_port }}/{{ jira_database_name }}"
# jira_database_url: "jdbc:postgresql://{{ jira_database_host }}:{{ jira_database_port }}/{{ jira_database_name }}?useUnicode=true&amp;characterEncoding=UTF8&amp;sessionVariables=default_storage_engine=InnoDB"
jira_database_validation_query: 'select 1'
jira_database_validation_query_timeout: 3

# Service
jira_service_name: jira
jira_service_state: started
jira_service_enabled: true

